Subject: Re: [PATCH 1/2] media: v4l: usb: Use correct dependency for camera sensor drivers

From: Sakari Ailus <[email-masked]>
Date: Fri, 18 Aug 2023 09:47:13 +0000

Hi Randy,

On Wed, Aug 16, 2023 at 12:21:31PM -0700, Randy Dunlap wrote:
> Hi Sakari,
> 
> On 8/16/23 06:35, Sakari Ailus wrote:
> > The Kconfig option that enables compiling camera sensor drivers is
> > VIDEO_CAMERA_SENSOR rather than MEDIA_CAMERA_SUPPORT as it was previously.
> > Fix this.
> > 
> > Reported-by: Randy Dunlap <[email-masked]>
> > Fixes: 7d3c7d2a2914 ("media: i2c: Add a camera sensor top level menu")
> > Signed-off-by: Sakari Ailus <[email-masked]>
> > ---
> >  drivers/media/usb/em28xx/Kconfig | 4 ++--
> >  drivers/media/usb/go7007/Kconfig | 2 +-
> >  2 files changed, 3 insertions(+), 3 deletions(-)
> > 
> 
> This patch reduces the number of kconfig warnings from 4 to 2. I still see these
> (and these appear to be duplicates, so only one):
> 
> WARNING: unmet direct dependencies detected for VIDEO_OV7670
>   Depends on [n]: MEDIA_SUPPORT [=y] && VIDEO_DEV [=y] && VIDEO_CAMERA_SENSOR [=n]
>   Selected by [y]:
>   - VIDEO_MMP_CAMERA [=y] && MEDIA_SUPPORT [=y] && MEDIA_PLATFORM_SUPPORT [=y] && MEDIA_PLATFORM_DRIVERS [=y] && V4L_PLATFORM_DRIVERS [=y] && I2C [=y] && VIDEO_DEV [=y] && (ARCH_MMP || COMPILE_TEST [=y]) && COMMON_CLK [=y]
> 
> WARNING: unmet direct dependencies detected for VIDEO_OV7670
>   Depends on [n]: MEDIA_SUPPORT [=y] && VIDEO_DEV [=y] && VIDEO_CAMERA_SENSOR [=n]
>   Selected by [y]:
>   - VIDEO_MMP_CAMERA [=y] && MEDIA_SUPPORT [=y] && MEDIA_PLATFORM_SUPPORT [=y] && MEDIA_PLATFORM_DRIVERS [=y] && V4L_PLATFORM_DRIVERS [=y] && I2C [=y] && VIDEO_DEV [=y] && (ARCH_MMP || COMPILE_TEST [=y]) && COMMON_CLK [=y]

Oops. I missed this bit.

Hans has taken the ivsc Kconfig patch already so I'll send v2 for this one
only.

-- 
Regards,

Sakari Ailus